```toml
[advisory]
id = "RUSTSEC-2020-0032"
package = "alpm-rs"
aliases = ["CVE-2020-35885", "GHSA-qc4m-gc8r-mg8m"]
cvss = "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
date = "2020-08-20"
informational = "unsound"
url = "https://github.com/pigeonhands/rust-arch/issues/2"

[versions]
patched = []
```

# StrcCtx deallocates a memory region that it doesn't own

`StrcCtx` deallocate a memory region that it doesn't own when `StrcCtx` is created without using `StrcCtx::new`.
This can introduce memory safety issues such as double-free and use-after-free to client programs.
