```toml
[advisory]
id = "RUSTSEC-2021-0085"
package = "binjs_io"
date = "2021-01-03"
url = "https://github.com/binast/binjs-ref/issues/460"
categories = ["memory-exposure"]
informational = "unsound"
aliases = ["CVE-2021-45683", "GHSA-c6px-4grw-hrjr", "GHSA-cw4j-cf6c-mmfv"]

[versions]
patched = []
```

# 'Read' on uninitialized memory may cause UB

Affected versions of this crate passes an uninitialized buffer to a user-provided `Read` implementation. The crate currently contains 4 occurrences of such cases.

Arbitrary `Read` implementations can read from the uninitialized buffer (memory exposure) and also can return incorrect number of bytes written to the buffer.
Reading from uninitialized memory produces undefined values that can quickly invoke undefined behavior.
