```toml
[advisory]
id = "RUSTSEC-2020-0030"
package = "mozwire"
aliases = ["CVE-2020-35883", "GHSA-4vhw-4rw7-jfpv"]
cvss = "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:H"
categories = []
date = "2020-08-18"
keywords = ["file-overwrite"]
url = "https://github.com/NilsIrl/MozWire/issues/14"

[versions]
patched = ["> 0.4.1"]
```

# Missing sanitization in mozwire allows local file overwrite of files ending in .conf

The client software downloaded a list of servers from mozilla's servers and created local files named
after the hostname field in the json document.

No verification of the content of the string was made, and it could therefore have included '../' leading to path traversal.

This allows an attacker in control of mozilla's servers to overwrite/create local files named .conf.

The flaw was corrected by sanitizing the hostname field.
