```toml
[advisory]
id = "RUSTSEC-2025-0022"
package = "openssl"
date = "2025-04-04"
url = "https://github.com/sfackler/rust-openssl/pull/2390"
categories = ["memory-corruption"]

[versions]
patched = [">= 0.10.72"]
unaffected = ["< 0.10.39"]

[affected.functions]
"openssl::md::Md::fetch" = [">= 0.10.39, < 0.10.72"]
"openssl::cipher::Cipher::fetch" = [">= 0.10.39, < 0.10.72"]
```

# Use-After-Free in `Md::fetch` and `Cipher::fetch`

When a `Some(...)` value was passed to the `properties` argument of either of these functions, a use-after-free would result.

In practice this would nearly always result in OpenSSL treating the properties as an empty string (due to `CString::drop`'s behavior).

The maintainers thank [quitbug](https://github.com/quitbug/) for reporting this vulnerability to us.
