```toml
[advisory]
id = "RUSTSEC-2025-0023"
package = "tokio"
date = "2025-04-07"
url = "https://github.com/tokio-rs/tokio/pull/7232"
informational = "unsound"
categories = ["memory-corruption"]

[versions]
patched = [">= 1.38.2, < 1.39.0", ">= 1.42.1, < 1.43.0", ">= 1.43.1, < 1.44.0", ">= 1.44.2"]
unaffected = ["< 0.2.5"]
```

# Broadcast channel calls clone in parallel, but does not require `Sync`

The broadcast channel internally calls `clone` on the stored value when
receiving it, and only requires `T:Send`. This means that using the broadcast
channel with values that are `Send` but not `Sync` can trigger unsoundness if
the `clone` implementation makes use of the value being `!Sync`.

Thank you to Austin Bonander for finding and reporting this issue.
